<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:23 CEST 2019 -->
<title>ServiceRequestBuffer (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ServiceRequestBuffer (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/gds/ServiceRequestBuffer.html" target="_top">Frames</a></li>
<li><a href="ServiceRequestBuffer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds</div>
<h2 title="Interface ServiceRequestBuffer" class="title">Interface ServiceRequestBuffer</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds">Parameter</a>&gt;, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/firebirdsql/gds/impl/ServiceRequestBufferImp.html" title="class in org.firebirdsql.gds.impl">ServiceRequestBufferImp</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">ServiceRequestBuffer</span>
extends <a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></pre>
<div class="block">Instance of this interface represents a Service Request Buffer from the
 Firebird API documentation and specifies the attributes for the Services API
 operation.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_ADD_LICENSE">ACTION_ADD_LICENSE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_ADD_USER">ACTION_ADD_USER</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_BACKUP">ACTION_BACKUP</a></span></code>
<div class="block">**********************************************************************
 Operations that can be called via Services API.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_DB_STATS">ACTION_DB_STATS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_DELETE_USER">ACTION_DELETE_USER</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_DISPLAY_USER">ACTION_DISPLAY_USER</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_GET_SERVER_LOG">ACTION_GET_SERVER_LOG</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_MODIFY_USER">ACTION_MODIFY_USER</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_REMOVE_LICENSE">ACTION_REMOVE_LICENSE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_REPAIR">ACTION_REPAIR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_RESTORE">ACTION_RESTORE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#ACTION_SET_DB_PROPERTIES">ACTION_SET_DB_PROPERTIES</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_CONVERT">BACKUP_CONVERT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_DB_NAME">BACKUP_DB_NAME</a></span></code>
<div class="block">**********************************************************************
 Parameters for ACTION_BACKUP call.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_EXPAND">BACKUP_EXPAND</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_FACTOR">BACKUP_FACTOR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_FILE">BACKUP_FILE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_IGNORE_CHECKSUMS">BACKUP_IGNORE_CHECKSUMS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_IGNORE_LIMBO">BACKUP_IGNORE_LIMBO</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_LENGTH">BACKUP_LENGTH</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_METADATA_ONLY">BACKUP_METADATA_ONLY</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_NO_GARBAGE_COLLECT">BACKUP_NO_GARBAGE_COLLECT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_NON_TRANSPORTABLE">BACKUP_NON_TRANSPORTABLE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_OLD_DESCRIPTIONS">BACKUP_OLD_DESCRIPTIONS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#BACKUP_OPTIONS">BACKUP_OPTIONS</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_CAPABILITIES">INFO_CAPABILITIES</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_FLAG_END">INFO_FLAG_END</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_GET_CONFIG">INFO_GET_CONFIG</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_GET_ENV">INFO_GET_ENV</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_GET_ENV_LOCK">INFO_GET_ENV_LOCK</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_GET_ENV_MSG">INFO_GET_ENV_MSG</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_GET_LICENSE">INFO_GET_LICENSE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_GET_LICENSE_MASK">INFO_GET_LICENSE_MASK</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_GET_LICENSED_USERS">INFO_GET_LICENSED_USERS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_GET_OUTPUT_LINE">INFO_GET_OUTPUT_LINE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_GET_OUTPUT_TO_EOF">INFO_GET_OUTPUT_TO_EOF</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_GET_USERS">INFO_GET_USERS</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_IMPLEMENTATION">INFO_IMPLEMENTATION</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_LIMBO_TRANSACTIONS">INFO_LIMBO_TRANSACTIONS</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_MULTI_TRANSACTION_ID">INFO_MULTI_TRANSACTION_ID</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_RUNNING">INFO_RUNNING</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_SERVER_VERSION">INFO_SERVER_VERSION</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_SINGLE_TRANSACTION_ID">INFO_SINGLE_TRANSACTION_ID</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_SVC_MGR_VERSION">INFO_SVC_MGR_VERSION</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_SVR_DB_INFO">INFO_SVR_DB_INFO</a></span></code>
<div class="block">***********************************************************************
 Constants for GDS.iscServiceQuery(...) call</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TIMEOUT">INFO_TIMEOUT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_ADVICE">INFO_TRANSACTION_ADVICE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_ADVICE_COMMIT">INFO_TRANSACTION_ADVICE_COMMIT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_ADVICE_ROLLBACK">INFO_TRANSACTION_ADVICE_ROLLBACK</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_ADVICE_UNKNOWN">INFO_TRANSACTION_ADVICE_UNKNOWN</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_DB_PATH">INFO_TRANSACTION_DB_PATH</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_HOST_SITE">INFO_TRANSACTION_HOST_SITE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_REMOTE_SITE">INFO_TRANSACTION_REMOTE_SITE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_STATE">INFO_TRANSACTION_STATE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_STATE_COMMIT">INFO_TRANSACTION_STATE_COMMIT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_STATE_LIMBO">INFO_TRANSACTION_STATE_LIMBO</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_STATE_ROLLBACK">INFO_TRANSACTION_STATE_ROLLBACK</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_TRANSACTION_STATE_UNKNOWN">INFO_TRANSACTION_STATE_UNKNOWN</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#INFO_USER_DB_PATH">INFO_USER_DB_PATH</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#LICENSE_DESCRIPTION">LICENSE_DESCRIPTION</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#LICENSE_ID">LICENSE_ID</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#LICENSE_KEY">LICENSE_KEY</a></span></code>
<div class="block">**********************************************************************
 Parameters for ACTION_ADD_LICENSE and ACTION_REMOVE_LICENSE calls.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_ACCESS_MODE">PROPS_ACCESS_MODE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_ACCESS_MODE_READONLY">PROPS_ACCESS_MODE_READONLY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_ACCESS_MODE_READWRITE">PROPS_ACCESS_MODE_READWRITE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_ACTIVATE_SHADOW">PROPS_ACTIVATE_SHADOW</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_BUFFERS">PROPS_BUFFERS</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_DB_NAME">PROPS_DB_NAME</a></span></code>
<div class="block">**********************************************************************
 Parameters for setting database properties.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_DB_ONLINE">PROPS_DB_ONLINE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_DENY_NEW_ATTACHMENTS">PROPS_DENY_NEW_ATTACHMENTS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_DENY_NEW_TRANSACTIONS">PROPS_DENY_NEW_TRANSACTIONS</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_OPTIONS">PROPS_OPTIONS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_RESERVE_SPACE">PROPS_RESERVE_SPACE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_RESERVE_USE_ALL_SPACE">PROPS_RESERVE_USE_ALL_SPACE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_RESERVE_VERSIONS">PROPS_RESERVE_VERSIONS</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_SET_SQL_DIALECT">PROPS_SET_SQL_DIALECT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_SHUTDOWN_DB">PROPS_SHUTDOWN_DB</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_SWEEP_INTERVAL">PROPS_SWEEP_INTERVAL</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_WRITE_MODE">PROPS_WRITE_MODE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_WRITE_MODE_ASYNC">PROPS_WRITE_MODE_ASYNC</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#PROPS_WRITE_MODE_SYNC">PROPS_WRITE_MODE_SYNC</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_CHECK_DB">REPAIR_CHECK_DB</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_COMMIT_TRANSACTIONS">REPAIR_COMMIT_TRANSACTIONS</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_DB_NAME">REPAIR_DB_NAME</a></span></code>
<div class="block">**********************************************************************
 Parameters for database repair.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_FULL">REPAIR_FULL</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_IGNORE_CHECKSUM">REPAIR_IGNORE_CHECKSUM</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_KILL_SHADOWS">REPAIR_KILL_SHADOWS</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_LIST_LIMBO_TRANSACTIONS">REPAIR_LIST_LIMBO_TRANSACTIONS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_MEND_DB">REPAIR_MEND_DB</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_OPTIONS">REPAIR_OPTIONS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_RECOVER_TWO_PHASE">REPAIR_RECOVER_TWO_PHASE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_ROLLBACK_TRANSACTIONS">REPAIR_ROLLBACK_TRANSACTIONS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_SWEEP_DB">REPAIR_SWEEP_DB</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_TRANSACTION_ID">REPAIR_TRANSACTION_ID</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#REPAIR_VALIDATE_DB">REPAIR_VALIDATE_DB</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_ACCESS_MODE">RESTORE_ACCESS_MODE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_ACCESS_MODE_READONLY">RESTORE_ACCESS_MODE_READONLY</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_ACCESS_MODE_READWRITE">RESTORE_ACCESS_MODE_READWRITE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_BACKUP_PATH">RESTORE_BACKUP_PATH</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_BUFFERS">RESTORE_BUFFERS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_CREATE">RESTORE_CREATE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_DB_NAME">RESTORE_DB_NAME</a></span></code>
<div class="block">**********************************************************************
 Parameters for ACTION_RESTORE call.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_DEACTIVATE_IDX">RESTORE_DEACTIVATE_IDX</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_LENGTH">RESTORE_LENGTH</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_NO_SHADOW">RESTORE_NO_SHADOW</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_NO_VALIDITY">RESTORE_NO_VALIDITY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_ONE_AT_A_TIME">RESTORE_ONE_AT_A_TIME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_OPTIONS">RESTORE_OPTIONS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_OVERWRITE">RESTORE_OVERWRITE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_PAGE_SIZE">RESTORE_PAGE_SIZE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#RESTORE_USE_ALL_SPACE">RESTORE_USE_ALL_SPACE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#SECURITY_FIRST_NAME">SECURITY_FIRST_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#SECURITY_GROUPID">SECURITY_GROUPID</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#SECURITY_GROUPNAME">SECURITY_GROUPNAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#SECURITY_LAST_NAME">SECURITY_LAST_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#SECURITY_MIDDLE_NAME">SECURITY_MIDDLE_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#SECURITY_PASSWORD">SECURITY_PASSWORD</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#SECURITY_USER_NAME">SECURITY_USER_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#SECURITY_USERID">SECURITY_USERID</a></span></code>
<div class="block">**********************************************************************
 Parameters for ACTION_ADD_USER, ACTION_DELETE_USER, ACTION_MODIFY_USER,
 and ACTION_DISPLAY_USER service calls.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#STATS_DATA_PAGES">STATS_DATA_PAGES</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#STATS_DB_LOG">STATS_DB_LOG</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#STATS_DB_NAME">STATS_DB_NAME</a></span></code>
<div class="block">**********************************************************************
 Parameters for database statistics.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#STATS_HEADER_PAGES">STATS_HEADER_PAGES</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#STATS_INDEX_PAGES">STATS_INDEX_PAGES</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#STATS_NOCREATION">STATS_NOCREATION</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#STATS_OPTIONS">STATS_OPTIONS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#STATS_RECORD_VERSIONS">STATS_RECORD_VERSIONS</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#STATS_SYSTEM_RELATIONS">STATS_SYSTEM_RELATIONS</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#STATS_TABLE">STATS_TABLE</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html#addArgument-int-byte-">addArgument</a></span>(int&nbsp;argumentType,
           byte&nbsp;value)</code>
<div class="block">Set a <code>byte</code> parameter on this
 <code>ServiceRequestBuffer</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ParameterBuffer">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></h3>
<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-byte:A-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-int-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-long-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-java.lang.String-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-java.lang.String-org.firebirdsql.encodings.Encoding-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#getArgumentAsInt-int-">getArgumentAsInt</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#getArgumentAsString-int-">getArgumentAsString</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#getType--">getType</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#hasArgument-int-">hasArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#iterator--">iterator</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#removeArgument-int-">removeArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#size--">size</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toBytes--">toBytes</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toBytesWithType--">toBytesWithType</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toXdrable--">toXdrable</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#writeArgumentsTo-java.io.OutputStream-">writeArgumentsTo</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#forEach-java.util.function.Consumer-" title="class or interface in java.lang">forEach</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#spliterator--" title="class or interface in java.lang">spliterator</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="ACTION_BACKUP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_BACKUP</h4>
<pre>static final&nbsp;int ACTION_BACKUP</pre>
<div class="block">**********************************************************************
 Operations that can be called via Services API. There are following
 groups of operations:
 <p/>
 - backup/restore
 - database repair
 - user management
 - changing the database properties
 - license management
 - database and server information</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.ACTION_BACKUP">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ACTION_RESTORE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_RESTORE</h4>
<pre>static final&nbsp;int ACTION_RESTORE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.ACTION_RESTORE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ACTION_REPAIR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_REPAIR</h4>
<pre>static final&nbsp;int ACTION_REPAIR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.ACTION_REPAIR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ACTION_ADD_USER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_ADD_USER</h4>
<pre>static final&nbsp;int ACTION_ADD_USER</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.ACTION_ADD_USER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ACTION_DELETE_USER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_DELETE_USER</h4>
<pre>static final&nbsp;int ACTION_DELETE_USER</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.ACTION_DELETE_USER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ACTION_MODIFY_USER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_MODIFY_USER</h4>
<pre>static final&nbsp;int ACTION_MODIFY_USER</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.ACTION_MODIFY_USER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ACTION_DISPLAY_USER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_DISPLAY_USER</h4>
<pre>static final&nbsp;int ACTION_DISPLAY_USER</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.ACTION_DISPLAY_USER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ACTION_SET_DB_PROPERTIES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_SET_DB_PROPERTIES</h4>
<pre>static final&nbsp;int ACTION_SET_DB_PROPERTIES</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.ACTION_SET_DB_PROPERTIES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ACTION_ADD_LICENSE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_ADD_LICENSE</h4>
<pre>static final&nbsp;int ACTION_ADD_LICENSE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.ACTION_ADD_LICENSE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ACTION_REMOVE_LICENSE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_REMOVE_LICENSE</h4>
<pre>static final&nbsp;int ACTION_REMOVE_LICENSE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.ACTION_REMOVE_LICENSE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ACTION_DB_STATS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_DB_STATS</h4>
<pre>static final&nbsp;int ACTION_DB_STATS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.ACTION_DB_STATS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ACTION_GET_SERVER_LOG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACTION_GET_SERVER_LOG</h4>
<pre>static final&nbsp;int ACTION_GET_SERVER_LOG</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.ACTION_GET_SERVER_LOG">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_SVR_DB_INFO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_SVR_DB_INFO</h4>
<pre>static final&nbsp;int INFO_SVR_DB_INFO</pre>
<div class="block">***********************************************************************
 Constants for GDS.iscServiceQuery(...) call</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_SVR_DB_INFO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_GET_LICENSE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_GET_LICENSE</h4>
<pre>static final&nbsp;int INFO_GET_LICENSE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_GET_LICENSE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_GET_LICENSE_MASK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_GET_LICENSE_MASK</h4>
<pre>static final&nbsp;int INFO_GET_LICENSE_MASK</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_GET_LICENSE_MASK">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_GET_CONFIG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_GET_CONFIG</h4>
<pre>static final&nbsp;int INFO_GET_CONFIG</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_GET_CONFIG">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_SVC_MGR_VERSION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_SVC_MGR_VERSION</h4>
<pre>static final&nbsp;int INFO_SVC_MGR_VERSION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_SVC_MGR_VERSION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_SERVER_VERSION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_SERVER_VERSION</h4>
<pre>static final&nbsp;int INFO_SERVER_VERSION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_SERVER_VERSION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_IMPLEMENTATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_IMPLEMENTATION</h4>
<pre>static final&nbsp;int INFO_IMPLEMENTATION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_IMPLEMENTATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_CAPABILITIES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_CAPABILITIES</h4>
<pre>static final&nbsp;int INFO_CAPABILITIES</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_CAPABILITIES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_USER_DB_PATH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_USER_DB_PATH</h4>
<pre>static final&nbsp;int INFO_USER_DB_PATH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_USER_DB_PATH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_GET_ENV">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_GET_ENV</h4>
<pre>static final&nbsp;int INFO_GET_ENV</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_GET_ENV">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_GET_ENV_LOCK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_GET_ENV_LOCK</h4>
<pre>static final&nbsp;int INFO_GET_ENV_LOCK</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_GET_ENV_LOCK">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_GET_ENV_MSG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_GET_ENV_MSG</h4>
<pre>static final&nbsp;int INFO_GET_ENV_MSG</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_GET_ENV_MSG">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_GET_OUTPUT_LINE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_GET_OUTPUT_LINE</h4>
<pre>static final&nbsp;int INFO_GET_OUTPUT_LINE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_GET_OUTPUT_LINE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_GET_OUTPUT_TO_EOF">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_GET_OUTPUT_TO_EOF</h4>
<pre>static final&nbsp;int INFO_GET_OUTPUT_TO_EOF</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_GET_OUTPUT_TO_EOF">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_TIMEOUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_TIMEOUT</h4>
<pre>static final&nbsp;int INFO_TIMEOUT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_TIMEOUT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_GET_LICENSED_USERS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_GET_LICENSED_USERS</h4>
<pre>static final&nbsp;int INFO_GET_LICENSED_USERS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_GET_LICENSED_USERS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_RUNNING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_RUNNING</h4>
<pre>static final&nbsp;int INFO_RUNNING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_RUNNING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_GET_USERS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_GET_USERS</h4>
<pre>static final&nbsp;int INFO_GET_USERS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_GET_USERS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_LIMBO_TRANSACTIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_LIMBO_TRANSACTIONS</h4>
<pre>static final&nbsp;int INFO_LIMBO_TRANSACTIONS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_LIMBO_TRANSACTIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_SINGLE_TRANSACTION_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_SINGLE_TRANSACTION_ID</h4>
<pre>static final&nbsp;int INFO_SINGLE_TRANSACTION_ID</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_SINGLE_TRANSACTION_ID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_MULTI_TRANSACTION_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_MULTI_TRANSACTION_ID</h4>
<pre>static final&nbsp;int INFO_MULTI_TRANSACTION_ID</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_MULTI_TRANSACTION_ID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_TRANSACTION_HOST_SITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_TRANSACTION_HOST_SITE</h4>
<pre>static final&nbsp;int INFO_TRANSACTION_HOST_SITE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_TRANSACTION_HOST_SITE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_TRANSACTION_REMOTE_SITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_TRANSACTION_REMOTE_SITE</h4>
<pre>static final&nbsp;int INFO_TRANSACTION_REMOTE_SITE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_TRANSACTION_REMOTE_SITE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_TRANSACTION_DB_PATH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_TRANSACTION_DB_PATH</h4>
<pre>static final&nbsp;int INFO_TRANSACTION_DB_PATH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_TRANSACTION_DB_PATH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_TRANSACTION_ADVICE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_TRANSACTION_ADVICE</h4>
<pre>static final&nbsp;int INFO_TRANSACTION_ADVICE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_TRANSACTION_ADVICE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_TRANSACTION_ADVICE_COMMIT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_TRANSACTION_ADVICE_COMMIT</h4>
<pre>static final&nbsp;int INFO_TRANSACTION_ADVICE_COMMIT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_TRANSACTION_ADVICE_COMMIT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_TRANSACTION_ADVICE_ROLLBACK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_TRANSACTION_ADVICE_ROLLBACK</h4>
<pre>static final&nbsp;int INFO_TRANSACTION_ADVICE_ROLLBACK</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_TRANSACTION_ADVICE_ROLLBACK">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_TRANSACTION_ADVICE_UNKNOWN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_TRANSACTION_ADVICE_UNKNOWN</h4>
<pre>static final&nbsp;int INFO_TRANSACTION_ADVICE_UNKNOWN</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_TRANSACTION_ADVICE_UNKNOWN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_TRANSACTION_STATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_TRANSACTION_STATE</h4>
<pre>static final&nbsp;int INFO_TRANSACTION_STATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_TRANSACTION_STATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_TRANSACTION_STATE_COMMIT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_TRANSACTION_STATE_COMMIT</h4>
<pre>static final&nbsp;int INFO_TRANSACTION_STATE_COMMIT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_TRANSACTION_STATE_COMMIT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_TRANSACTION_STATE_ROLLBACK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_TRANSACTION_STATE_ROLLBACK</h4>
<pre>static final&nbsp;int INFO_TRANSACTION_STATE_ROLLBACK</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_TRANSACTION_STATE_ROLLBACK">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_TRANSACTION_STATE_LIMBO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_TRANSACTION_STATE_LIMBO</h4>
<pre>static final&nbsp;int INFO_TRANSACTION_STATE_LIMBO</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_TRANSACTION_STATE_LIMBO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_TRANSACTION_STATE_UNKNOWN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_TRANSACTION_STATE_UNKNOWN</h4>
<pre>static final&nbsp;int INFO_TRANSACTION_STATE_UNKNOWN</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_TRANSACTION_STATE_UNKNOWN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INFO_FLAG_END">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INFO_FLAG_END</h4>
<pre>static final&nbsp;int INFO_FLAG_END</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.INFO_FLAG_END">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SECURITY_USERID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SECURITY_USERID</h4>
<pre>static final&nbsp;int SECURITY_USERID</pre>
<div class="block">**********************************************************************
 Parameters for ACTION_ADD_USER, ACTION_DELETE_USER, ACTION_MODIFY_USER,
 and ACTION_DISPLAY_USER service calls.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.SECURITY_USERID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SECURITY_GROUPID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SECURITY_GROUPID</h4>
<pre>static final&nbsp;int SECURITY_GROUPID</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.SECURITY_GROUPID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SECURITY_USER_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SECURITY_USER_NAME</h4>
<pre>static final&nbsp;int SECURITY_USER_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.SECURITY_USER_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SECURITY_PASSWORD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SECURITY_PASSWORD</h4>
<pre>static final&nbsp;int SECURITY_PASSWORD</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.SECURITY_PASSWORD">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SECURITY_GROUPNAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SECURITY_GROUPNAME</h4>
<pre>static final&nbsp;int SECURITY_GROUPNAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.SECURITY_GROUPNAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SECURITY_FIRST_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SECURITY_FIRST_NAME</h4>
<pre>static final&nbsp;int SECURITY_FIRST_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.SECURITY_FIRST_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SECURITY_MIDDLE_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SECURITY_MIDDLE_NAME</h4>
<pre>static final&nbsp;int SECURITY_MIDDLE_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.SECURITY_MIDDLE_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SECURITY_LAST_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SECURITY_LAST_NAME</h4>
<pre>static final&nbsp;int SECURITY_LAST_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.SECURITY_LAST_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LICENSE_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LICENSE_KEY</h4>
<pre>static final&nbsp;int LICENSE_KEY</pre>
<div class="block">**********************************************************************
 Parameters for ACTION_ADD_LICENSE and ACTION_REMOVE_LICENSE calls.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.LICENSE_KEY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LICENSE_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LICENSE_ID</h4>
<pre>static final&nbsp;int LICENSE_ID</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.LICENSE_ID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LICENSE_DESCRIPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LICENSE_DESCRIPTION</h4>
<pre>static final&nbsp;int LICENSE_DESCRIPTION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.LICENSE_DESCRIPTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKUP_DB_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_DB_NAME</h4>
<pre>static final&nbsp;int BACKUP_DB_NAME</pre>
<div class="block">**********************************************************************
 Parameters for ACTION_BACKUP call.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.BACKUP_DB_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKUP_FILE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_FILE</h4>
<pre>static final&nbsp;int BACKUP_FILE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.BACKUP_FILE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKUP_LENGTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_LENGTH</h4>
<pre>static final&nbsp;int BACKUP_LENGTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.BACKUP_LENGTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKUP_FACTOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_FACTOR</h4>
<pre>static final&nbsp;int BACKUP_FACTOR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.BACKUP_FACTOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKUP_OPTIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_OPTIONS</h4>
<pre>static final&nbsp;int BACKUP_OPTIONS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.BACKUP_OPTIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKUP_IGNORE_CHECKSUMS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_IGNORE_CHECKSUMS</h4>
<pre>static final&nbsp;int BACKUP_IGNORE_CHECKSUMS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.BACKUP_IGNORE_CHECKSUMS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKUP_IGNORE_LIMBO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_IGNORE_LIMBO</h4>
<pre>static final&nbsp;int BACKUP_IGNORE_LIMBO</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.BACKUP_IGNORE_LIMBO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKUP_METADATA_ONLY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_METADATA_ONLY</h4>
<pre>static final&nbsp;int BACKUP_METADATA_ONLY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.BACKUP_METADATA_ONLY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKUP_NO_GARBAGE_COLLECT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_NO_GARBAGE_COLLECT</h4>
<pre>static final&nbsp;int BACKUP_NO_GARBAGE_COLLECT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.BACKUP_NO_GARBAGE_COLLECT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKUP_OLD_DESCRIPTIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_OLD_DESCRIPTIONS</h4>
<pre>static final&nbsp;int BACKUP_OLD_DESCRIPTIONS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.BACKUP_OLD_DESCRIPTIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKUP_NON_TRANSPORTABLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_NON_TRANSPORTABLE</h4>
<pre>static final&nbsp;int BACKUP_NON_TRANSPORTABLE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.BACKUP_NON_TRANSPORTABLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKUP_CONVERT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_CONVERT</h4>
<pre>static final&nbsp;int BACKUP_CONVERT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.BACKUP_CONVERT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BACKUP_EXPAND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BACKUP_EXPAND</h4>
<pre>static final&nbsp;int BACKUP_EXPAND</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.BACKUP_EXPAND">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_DB_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTORE_DB_NAME</h4>
<pre>static final&nbsp;int RESTORE_DB_NAME</pre>
<div class="block">**********************************************************************
 Parameters for ACTION_RESTORE call.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.RESTORE_DB_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_BACKUP_PATH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTORE_BACKUP_PATH</h4>
<pre>static final&nbsp;int RESTORE_BACKUP_PATH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.RESTORE_BACKUP_PATH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_LENGTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTORE_LENGTH</h4>
<pre>static final&nbsp;int RESTORE_LENGTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.RESTORE_LENGTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_BUFFERS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTORE_BUFFERS</h4>
<pre>static final&nbsp;int RESTORE_BUFFERS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.RESTORE_BUFFERS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_PAGE_SIZE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTORE_PAGE_SIZE</h4>
<pre>static final&nbsp;int RESTORE_PAGE_SIZE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.RESTORE_PAGE_SIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_ACCESS_MODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTORE_ACCESS_MODE</h4>
<pre>static final&nbsp;int RESTORE_ACCESS_MODE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.RESTORE_ACCESS_MODE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_ACCESS_MODE_READONLY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTORE_ACCESS_MODE_READONLY</h4>
<pre>static final&nbsp;int RESTORE_ACCESS_MODE_READONLY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.RESTORE_ACCESS_MODE_READONLY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_ACCESS_MODE_READWRITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTORE_ACCESS_MODE_READWRITE</h4>
<pre>static final&nbsp;int RESTORE_ACCESS_MODE_READWRITE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.RESTORE_ACCESS_MODE_READWRITE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_OPTIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTORE_OPTIONS</h4>
<pre>static final&nbsp;int RESTORE_OPTIONS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.RESTORE_OPTIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_DEACTIVATE_IDX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTORE_DEACTIVATE_IDX</h4>
<pre>static final&nbsp;int RESTORE_DEACTIVATE_IDX</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.RESTORE_DEACTIVATE_IDX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_NO_SHADOW">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTORE_NO_SHADOW</h4>
<pre>static final&nbsp;int RESTORE_NO_SHADOW</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.RESTORE_NO_SHADOW">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_NO_VALIDITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTORE_NO_VALIDITY</h4>
<pre>static final&nbsp;int RESTORE_NO_VALIDITY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.RESTORE_NO_VALIDITY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_ONE_AT_A_TIME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTORE_ONE_AT_A_TIME</h4>
<pre>static final&nbsp;int RESTORE_ONE_AT_A_TIME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.RESTORE_ONE_AT_A_TIME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_OVERWRITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTORE_OVERWRITE</h4>
<pre>static final&nbsp;int RESTORE_OVERWRITE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.RESTORE_OVERWRITE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_CREATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTORE_CREATE</h4>
<pre>static final&nbsp;int RESTORE_CREATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.RESTORE_CREATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTORE_USE_ALL_SPACE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTORE_USE_ALL_SPACE</h4>
<pre>static final&nbsp;int RESTORE_USE_ALL_SPACE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.RESTORE_USE_ALL_SPACE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROPS_DB_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPS_DB_NAME</h4>
<pre>static final&nbsp;int PROPS_DB_NAME</pre>
<div class="block">**********************************************************************
 Parameters for setting database properties.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.PROPS_DB_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROPS_BUFFERS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPS_BUFFERS</h4>
<pre>static final&nbsp;int PROPS_BUFFERS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.PROPS_BUFFERS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROPS_SWEEP_INTERVAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPS_SWEEP_INTERVAL</h4>
<pre>static final&nbsp;int PROPS_SWEEP_INTERVAL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.PROPS_SWEEP_INTERVAL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROPS_SHUTDOWN_DB">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPS_SHUTDOWN_DB</h4>
<pre>static final&nbsp;int PROPS_SHUTDOWN_DB</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.PROPS_SHUTDOWN_DB">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROPS_DENY_NEW_TRANSACTIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPS_DENY_NEW_TRANSACTIONS</h4>
<pre>static final&nbsp;int PROPS_DENY_NEW_TRANSACTIONS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.PROPS_DENY_NEW_TRANSACTIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROPS_DENY_NEW_ATTACHMENTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPS_DENY_NEW_ATTACHMENTS</h4>
<pre>static final&nbsp;int PROPS_DENY_NEW_ATTACHMENTS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.PROPS_DENY_NEW_ATTACHMENTS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROPS_SET_SQL_DIALECT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPS_SET_SQL_DIALECT</h4>
<pre>static final&nbsp;int PROPS_SET_SQL_DIALECT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.PROPS_SET_SQL_DIALECT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROPS_RESERVE_SPACE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPS_RESERVE_SPACE</h4>
<pre>static final&nbsp;int PROPS_RESERVE_SPACE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.PROPS_RESERVE_SPACE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROPS_RESERVE_USE_ALL_SPACE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPS_RESERVE_USE_ALL_SPACE</h4>
<pre>static final&nbsp;int PROPS_RESERVE_USE_ALL_SPACE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.PROPS_RESERVE_USE_ALL_SPACE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROPS_RESERVE_VERSIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPS_RESERVE_VERSIONS</h4>
<pre>static final&nbsp;int PROPS_RESERVE_VERSIONS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.PROPS_RESERVE_VERSIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROPS_WRITE_MODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPS_WRITE_MODE</h4>
<pre>static final&nbsp;int PROPS_WRITE_MODE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.PROPS_WRITE_MODE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROPS_WRITE_MODE_ASYNC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPS_WRITE_MODE_ASYNC</h4>
<pre>static final&nbsp;int PROPS_WRITE_MODE_ASYNC</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.PROPS_WRITE_MODE_ASYNC">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROPS_WRITE_MODE_SYNC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPS_WRITE_MODE_SYNC</h4>
<pre>static final&nbsp;int PROPS_WRITE_MODE_SYNC</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.PROPS_WRITE_MODE_SYNC">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROPS_ACCESS_MODE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPS_ACCESS_MODE</h4>
<pre>static final&nbsp;int PROPS_ACCESS_MODE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.PROPS_ACCESS_MODE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROPS_ACCESS_MODE_READONLY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPS_ACCESS_MODE_READONLY</h4>
<pre>static final&nbsp;int PROPS_ACCESS_MODE_READONLY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.PROPS_ACCESS_MODE_READONLY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROPS_ACCESS_MODE_READWRITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPS_ACCESS_MODE_READWRITE</h4>
<pre>static final&nbsp;int PROPS_ACCESS_MODE_READWRITE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.PROPS_ACCESS_MODE_READWRITE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROPS_OPTIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPS_OPTIONS</h4>
<pre>static final&nbsp;int PROPS_OPTIONS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.PROPS_OPTIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROPS_ACTIVATE_SHADOW">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPS_ACTIVATE_SHADOW</h4>
<pre>static final&nbsp;int PROPS_ACTIVATE_SHADOW</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.PROPS_ACTIVATE_SHADOW">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROPS_DB_ONLINE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROPS_DB_ONLINE</h4>
<pre>static final&nbsp;int PROPS_DB_ONLINE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.PROPS_DB_ONLINE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REPAIR_DB_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REPAIR_DB_NAME</h4>
<pre>static final&nbsp;int REPAIR_DB_NAME</pre>
<div class="block">**********************************************************************
 Parameters for database repair.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.REPAIR_DB_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REPAIR_COMMIT_TRANSACTIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REPAIR_COMMIT_TRANSACTIONS</h4>
<pre>static final&nbsp;int REPAIR_COMMIT_TRANSACTIONS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.REPAIR_COMMIT_TRANSACTIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REPAIR_ROLLBACK_TRANSACTIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REPAIR_ROLLBACK_TRANSACTIONS</h4>
<pre>static final&nbsp;int REPAIR_ROLLBACK_TRANSACTIONS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.REPAIR_ROLLBACK_TRANSACTIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REPAIR_RECOVER_TWO_PHASE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REPAIR_RECOVER_TWO_PHASE</h4>
<pre>static final&nbsp;int REPAIR_RECOVER_TWO_PHASE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.REPAIR_RECOVER_TWO_PHASE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REPAIR_TRANSACTION_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REPAIR_TRANSACTION_ID</h4>
<pre>static final&nbsp;int REPAIR_TRANSACTION_ID</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.REPAIR_TRANSACTION_ID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REPAIR_OPTIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REPAIR_OPTIONS</h4>
<pre>static final&nbsp;int REPAIR_OPTIONS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.REPAIR_OPTIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REPAIR_VALIDATE_DB">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REPAIR_VALIDATE_DB</h4>
<pre>static final&nbsp;int REPAIR_VALIDATE_DB</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.REPAIR_VALIDATE_DB">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REPAIR_SWEEP_DB">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REPAIR_SWEEP_DB</h4>
<pre>static final&nbsp;int REPAIR_SWEEP_DB</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.REPAIR_SWEEP_DB">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REPAIR_MEND_DB">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REPAIR_MEND_DB</h4>
<pre>static final&nbsp;int REPAIR_MEND_DB</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.REPAIR_MEND_DB">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REPAIR_LIST_LIMBO_TRANSACTIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REPAIR_LIST_LIMBO_TRANSACTIONS</h4>
<pre>static final&nbsp;int REPAIR_LIST_LIMBO_TRANSACTIONS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.REPAIR_LIST_LIMBO_TRANSACTIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REPAIR_CHECK_DB">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REPAIR_CHECK_DB</h4>
<pre>static final&nbsp;int REPAIR_CHECK_DB</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.REPAIR_CHECK_DB">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REPAIR_IGNORE_CHECKSUM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REPAIR_IGNORE_CHECKSUM</h4>
<pre>static final&nbsp;int REPAIR_IGNORE_CHECKSUM</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.REPAIR_IGNORE_CHECKSUM">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REPAIR_KILL_SHADOWS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REPAIR_KILL_SHADOWS</h4>
<pre>static final&nbsp;int REPAIR_KILL_SHADOWS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.REPAIR_KILL_SHADOWS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REPAIR_FULL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REPAIR_FULL</h4>
<pre>static final&nbsp;int REPAIR_FULL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.REPAIR_FULL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATS_DB_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATS_DB_NAME</h4>
<pre>static final&nbsp;int STATS_DB_NAME</pre>
<div class="block">**********************************************************************
 Parameters for database statistics.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.STATS_DB_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATS_OPTIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATS_OPTIONS</h4>
<pre>static final&nbsp;int STATS_OPTIONS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.STATS_OPTIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATS_DATA_PAGES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATS_DATA_PAGES</h4>
<pre>static final&nbsp;int STATS_DATA_PAGES</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.STATS_DATA_PAGES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATS_DB_LOG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATS_DB_LOG</h4>
<pre>static final&nbsp;int STATS_DB_LOG</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.STATS_DB_LOG">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATS_HEADER_PAGES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATS_HEADER_PAGES</h4>
<pre>static final&nbsp;int STATS_HEADER_PAGES</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.STATS_HEADER_PAGES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATS_INDEX_PAGES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATS_INDEX_PAGES</h4>
<pre>static final&nbsp;int STATS_INDEX_PAGES</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.STATS_INDEX_PAGES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATS_SYSTEM_RELATIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATS_SYSTEM_RELATIONS</h4>
<pre>static final&nbsp;int STATS_SYSTEM_RELATIONS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.STATS_SYSTEM_RELATIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATS_RECORD_VERSIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATS_RECORD_VERSIONS</h4>
<pre>static final&nbsp;int STATS_RECORD_VERSIONS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.STATS_RECORD_VERSIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATS_TABLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATS_TABLE</h4>
<pre>static final&nbsp;int STATS_TABLE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.STATS_TABLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATS_NOCREATION">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>STATS_NOCREATION</h4>
<pre>static final&nbsp;int STATS_NOCREATION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.ServiceRequestBuffer.STATS_NOCREATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addArgument-int-byte-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addArgument</h4>
<pre>void&nbsp;addArgument(int&nbsp;argumentType,
                 byte&nbsp;value)</pre>
<div class="block">Set a <code>byte</code> parameter on this
 <code>ServiceRequestBuffer</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>argumentType</code> - The parameter to be set</dd>
<dd><code>value</code> - The value to the set for the given parameter</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/gds/ServiceRequestBuffer.html" target="_top">Frames</a></li>
<li><a href="ServiceRequestBuffer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
